Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504252 - x11-drivers/xf86-video-vmware-13.0.1 with media-libs/mesa-10.1.0 - .../work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:620:5: error: incompatible type for argument 2 of 'xa_surface_handle'
Summary: x11-drivers/xf86-video-vmware-13.0.1 with media-libs/mesa-10.1.0 - .../work/x...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tiziano Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 500368
  Show dependency tree
 
Reported: 2014-03-11 21:25 UTC by Sergey
Modified: 2014-03-25 14:59 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge,5.25 KB, text/plain)
2014-03-11 21:25 UTC, Sergey
Details
build.log (build.log,37.26 KB, text/plain)
2014-03-11 21:26 UTC, Sergey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey 2014-03-11 21:25:32 UTC
Created attachment 372416 [details]
emerge --info

Hello!

After update mesa to mesa-10.1.0

>>> package: media-libs/mesa-10.1.0
 *  - /usr/lib64/libxatracker.so.1
 *  - /usr/lib64/libxatracker.so.1.0.0
 *      used by /usr/lib64/xorg/modules/drivers/vmware_drv.so (x11-drivers/xf86-video-vmware-13.0.1)

x11-drivers/xf86-video-vmware-13.0.1 rebuild crashes

on

/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:620:5: error: incompatible type for argument 2 of 'xa_surface_handle'
In file included from /var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.h:46:0,
                 from /var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:57:
/usr/include/xa_tracker.h:195:12: note: expected 'enum xa_handle_type' but argument is of type 'uint32_t *'
/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:620:5: error: too few arguments to function 'xa_surface_handle'
In file included from /var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.h:46:0,
                 from /var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:57:
/usr/include/xa_tracker.h:195:12: note: declared here
/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c: In function 'xorg_flush':
/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:660:16: warning: declaration of 'j' shadows a previous local [-Wshadow]
/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1/vmwgfx/vmwgfx_driver.c:644:18: warning: shadowed declaration is here [-Wshadow]
Makefile:371: recipe for target 'libvmwgfx_la-vmwgfx_driver.lo' failed
make[2]: *** [libvmwgfx_la-vmwgfx_driver.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory '/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1_build/vmwgfx'
Makefile:357: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/x11-drivers/xf86-video-vmware-13.0.1/work/xf86-video-vmware-13.0.1_build'
Makefile:288: recipe for target 'all' failed
make: *** [all] Error 2
Comment 1 Sergey 2014-03-11 21:26:01 UTC
Created attachment 372418 [details]
build.log
Comment 2 Sergey 2014-03-11 21:26:57 UTC
emerge -pqv '=x11-drivers/xf86-video-vmware-13.0.1::gentoo'
[ebuild   R   ] x11-drivers/xf86-video-vmware-13.0.1
Comment 4 Sergey 2014-03-13 00:26:24 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #3)
> Probably needs these patches:
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=0945bea5fc32eacb7bf42639efbd45dcd43e7ab5
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=a40cbd7b4fa19219849b4b0a48f07538772c3e22
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=93228f3dd3355a25583d22dbb96791678b93be3e

this patch
http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/?id=0945bea5fc32eacb7bf42639efbd45dcd43e7ab5

+

this patch 
http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/?id=93228f3dd3355a25583d22dbb96791678b93be3e

fix problem
Comment 5 Charlie Gehlin 2014-03-13 16:30:30 UTC
(In reply to Sergey from comment #4)
> (In reply to Chí-Thanh Christopher Nguyễn from comment #3)
> > Probably needs these patches:
> > http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> > ?id=0945bea5fc32eacb7bf42639efbd45dcd43e7ab5
> > http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> > ?id=a40cbd7b4fa19219849b4b0a48f07538772c3e22
> > http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> > ?id=93228f3dd3355a25583d22dbb96791678b93be3e
> 
> this patch
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=0945bea5fc32eacb7bf42639efbd45dcd43e7ab5
> 
> +
> 
> this patch 
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=93228f3dd3355a25583d22dbb96791678b93be3e
> 
> fix problem

Confirming bug and that Sergey's proposed patches works.
Comment 6 Josh G 2014-03-19 04:42:12 UTC
Ditto. Confirming bug and success with Sergey's proposed patches.
Comment 7 Frank Krömmelbein 2014-03-23 17:23:39 UTC
I can also confirm that the two patches from Comment 4 fixes this problem for me too.

IMHO should this Bug block this stabilization Bug:  https://bugs.gentoo.org/show_bug.cgi?id=500368 - Xorg stabilization list for March.
Comment 8 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-03-25 14:59:31 UTC
Fixed in 13.0.1-r1